Spigot Factions 1.8.2 UUID 1.8.2-U0.7

Factions 1.8.2 UUID Support - No MCore

  1. externo6

    Supporter

    The capes required Spout. They are no longer part of the plugin as I removed spout support.
     
    • Like Like x 1
  2. LiLChris

    LiLChris Retired Moderator
    Retired

    Please link the other plugin that is exactly like this.
    Just want to remind you this has the UUID update in it.
     
  3. This also follows the GPL so I'm not sure why anyone would be upset. Hell, he took all of my conversion code and I'm fine with it.
     
    • Like Like x 2
    • Winner Winner x 1
  4. externo6

    Supporter

    Thanks to everyone who has used this. There is still one thing that I missed when updating to UUID's and that is the board.json
    This has the players that have special access to claimed land.

    I have already fixed it storing the UUID's etc but I am struggling with converting the current data to UUID's from player names.
    *I am no java developer I just tweak things here and there, nor do I really have the time with real life work etc*
    If anyone is able to help that would be a massive weight lifted.

    If you are able to help, please submit a pull request here: https://github.com/externo6/Factions/pulls

    Much love <3
     
    • Friendly Friendly x 1
  5. LiLChris

    LiLChris Retired Moderator
    Retired

    If I knew how I would contribute, sadly I don't.
    Would love if anyone can pitch in, I depend on 1.8.2 and rather not start 1.6.
     
    • Agree Agree x 1
    • Friendly Friendly x 1
  6. @externo6
    I have started updating your Factions version in my IDE. I'll send to you the new Source once I'm finished, so you can update your github repository and publish it. However, I'm a bit busy this week, hence It'll take a while until I finish updating it.
     
    • Like Like x 2
  7. externo6

    Supporter

    Thank you! No worries I'll look forward to it. :)
     
  8. externo6

    Supporter

    The Factions version..
     
  9. So it's same as this but better with more features and regularly updated?
     
  10. as he said it depends on your factions version.
     
    • Optimistic Optimistic x 1
  11. externo6

    Supporter

    The main difference is this version is intended for the 1.8 branch of Factions. Drtshock's is for the 1.6 branch of Factions with some added features such as a Scoreboard (and what he said above)

    If you use Factions 1.6.9.5 use Drtshock's version.
    If you use Factions 1.8.2 use this version.

    For reference:
    http://dev.bukkit.org/bukkit-plugins/factions/files/52-1-6-9-5/
    http://dev.bukkit.org/bukkit-plugins/factions/files/53-1-8-2/
     
  12. externo6

    Supporter

  13. The error is here.

    There seems to be a ClassCastException. You are casting a ProjectileSource to an Entity. Maybe the projectile source was a block, which does not extend Entity? You should check if the ProjectileSource is instanceof Entity first. :)

    I'm working on the update, and fixing this as well in there. :)
     
    • Winner Winner x 1
    • Friendly Friendly x 1
  14. externo6

    Supporter

    Thanks, I attempted but failed at a fix so far.. xD
     
  15. externo6

    Supporter

  16. externo6

    Supporter